Create a new ebook digital product for your school
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 60 requests in a window of 1m.
cURL
curl --request POST \ --url https://backend.codedamn.com/api/public/create-ebook-product \ --header 'Content-Type: application/json' \ --header 'FERMION-API-KEY: <api-key>' \ --data ' { "data": [ { "data": { "ebookName": "<string>", "shortDescription": "<string>", "thumbnailUrl": "<string>", "status": "Draft" } } ] } '
[ { "output": { "status": "ok", "data": { "fermionDigitalProductId": "<string>", "slug": "<string>" } } } ]
API Request Body
Show child attributes
Name of the ebook product
1
Brief description of the ebook
URL of the ebook thumbnail image (optional, will use default placeholder if not provided)
Initial status of the ebook product (defaults to Draft)
Draft
Active
Unlisted
API Response Body
ok
Unique identifier of the created ebook product
URL-friendly slug for the ebook product, used in subsequent API calls